MOTIFI = /usr/X11R6/include

MOTIFL = /usr/X11R6/lib

LIBAPOGEE = ../libapogee

CC = gcc

CFLAGS = $(LIBINC) $(CLDFLAGS) -O2 -Wall -I$(MOTIFI)
		
LDFLAGS = $(LIBLNK) $(CLDFLAGS) -L$(MOTIFL) -L$(LIBAPOGEE)
	
XLIBS = -lXm -lXp -lXt -lXext -lSM -lICE -lXmu -lX11

LIBS =	$(XLIBS) -lm -lapogeedrv -lcfitsio -lxpa

INCS =		\
        protocol.h	

OBJS =			\
	protocol.o	\
	xmccd1.o

all:	xmccd1 

xmccd1:	$(INCS) $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -fr *.o xmccd1

install:
	cp xmccd1 /usr/local/bin/
        
